<#
.SYNOPSIS

Altera dados para buscar imagem do microkafka no novo gitlab

altera:
    microkafka.linux.imagem.usuario para oauth2
    microkafka.linux.imagem.senha para glpat-pT9JckSard95p55QcWpM
    

#>

. $PSScriptRoot\..\_echo.ps1
. $PSScriptRoot\..\configuracoesMicrouniversoWeb.ps1
. $PSScriptRoot\acpsFuncoesComuns.ps1

function global:_mu.acp5JaExecutada() {
    (test-path (mu.acp.obterCaminhoRegistroACPs)) -and (Get-itemProperty (mu.acp.obterCaminhoRegistroACPs)).acp5 -match "executada"
}

function global:_mu.executarAcp5() {
    param(
        [Parameter(Mandatory = $true)]
        [string]
        $enderecoArquivoConfiguracao
    )

    $configuracoes = mu.configuracoesMicrouniversoWeb.obter -enderecoYaml $enderecoArquivoConfiguracao 

    
    $configuracoes.microkafka.linux.imagem.usuario = "oauth2"
    $configuracoes.microkafka.linux.imagem.senha = "glpat-pT9JckSard95p55QcWpM"
    
    

    mu.configuracoesMicrouniversoWeb.salvar -configuracoes $configuracoes -enderecoYaml $enderecoArquivoConfiguracao

    New-ItemProperty $(mu.acp.obterCaminhoRegistroACPs) -Name acp5 -Value "executada;$(get-date -format yyyy-MM-dd-HH-mm-ss)" -force

}

function global:mu.acp5() {
    param(
        [Parameter(Mandatory = $true)]
        [string]
        $enderecoArquivoConfiguracao
    )

    mu.acp.criarCaminhoAcpsSeNecessario

    if ((_mu.acp5JaExecutada) -eq $false) {
        _mu.executarAcp5 -enderecoArquivoConfiguracao $enderecoArquivoConfiguracao
        _echo "ACP5 executada com sucesso"
    } else {
        _echo "ACP5 ja executada"
    }
}